net.minecraftforge.fluids

## Class FluidEvent.FluidFillingEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.fluids.FluidEvent
    - - net.minecraftforge.fluids.FluidEvent.FluidFillingEvent

- Enclosing class:
    FluidEvent

      public static class FluidEvent.FluidFillingEvent
      extends FluidEvent

  Mods should fire this event when a fluid is `IFluidTank.fill(FluidStack, boolean)` their tank implementation. `FluidTank` does.
  Author:
    cpw

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.fluids.FluidEvent

      `FluidEvent.FluidDrainingEvent, FluidEvent.FluidFillingEvent, FluidEvent.FluidMotionEvent, FluidEvent.FluidSpilledEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IFluidTank` | `tank`

    - ### Fields inherited from class net.minecraftforge.fluids.FluidEvent

      `fluid, world, x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FluidEvent.FluidFillingEvent(FluidStack fluid, World world, int x, int y, int z, IFluidTank tank)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.fluids.FluidEvent

      `fireEvent`

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tank

          public final IFluidTank tank

  - ### Constructor Detail

    - #### FluidEvent.FluidFillingEvent

          public FluidEvent.FluidFillingEvent(FluidStack fluid,
                                      World world,
                                      int x,
                                      int y,
                                      int z,
                                      IFluidTank tank)